Commit 6fb293de authored by Benoît's avatar Benoît
Browse files

adapté pour CentOS 8

parent 3a31b410
......@@ -6,10 +6,10 @@ if [ $(rpm --eval '%{centos_ver}') = 6 ]; then
# On a besoin de récupérer un certificat Let's Encrypt généré ailleurs (wildcard), car certbot ne supporte plus CentOS 6
# Dans notre cas, le certificat Let's Encrypt est copié le 5 de chaque mois dans /opt/ssl/
/usr/bin/openssl pkcs12 -export -out /root/keystore.pkcs12 -in /opt/ssl/fullchain.pem -inkey /opt/ssl/privkey.pem -password pass:password
elif [ $(rpm --eval '%{centos_ver}') = 7 ]; then
# Sous CentOS 7, on peut utiliser certbot (disponible depuis epel)
elif [ $(rpm --eval '%{centos_ver}') = 7 ] || [ $(rpm --eval '%{centos_ver}') = 8 ]; then
# Sous CentOS 7/8, on peut utiliser certbot (disponible depuis epel)
echo -e "\\n### Installing Certbot..."
/usr/bin/yum -y install certbot python2-certbot-apache --enablerepo=epel
/usr/bin/yum -y install httpd certbot python2-certbot-apache --enablerepo=epel --skip-broken
if [ -f "/etc/letsencrypt/live/$(hostname)/fullchain.pem" ]; then
/usr/sbin/service httpd start ; /usr/bin/certbot renew ; /usr/sbin/service httpd stop
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment